org.apache.cassandra.cql3

## Class CQL3Type.Collection

- java.lang.Object
- - org.apache.cassandra.cql3.CQL3Type.Collection

All Implemented Interfaces:
  CQL3Type

Enclosing interface:
  CQL3Type

    public static class CQL3Type.Collection
    extends java.lang.Object
    implements CQL3Type

### Nested Class Summary

### Nested classes/interfaces inherited from interface org.apache.cassandra.cql3.CQL3Type

`CQL3Type.Collection, CQL3Type.Custom, CQL3Type.Native, CQL3Type.Raw, CQL3Type.Tuple, CQL3Type.UserDefined`

### Field Summary

### Fields inherited from interface org.apache.cassandra.cql3.CQL3Type

`logger`

### Constructor Summary

Constructors
Constructor and Description
`Collection(CollectionType type)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(java.lang.Object o)`
`AbstractType<?>` `getType()`
`int` `hashCode()`
`boolean` `isCollection()`
`java.lang.String` `toCQLLiteral(java.nio.ByteBuffer buffer, ProtocolVersion version)` Generates CQL literal from a binary value of this type.
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.cassandra.cql3.CQL3Type

`isUDT`

### Constructor Detail

#### Collection

    public Collection(CollectionType type)

### Method Detail

#### getType

    public AbstractType<?> getType()

Specified by:
  `getType` in interface `CQL3Type`

#### isCollection

    public boolean isCollection()

Specified by:
  `isCollection` in interface `CQL3Type`

#### toCQLLiteral

    public java.lang.String toCQLLiteral(java.nio.ByteBuffer buffer,
                                         ProtocolVersion version)

Description copied from interface: `CQL3Type`
Generates CQL literal from a binary value of this type.

Specified by:
  `toCQLLiteral` in interface `CQL3Type`
Parameters:
  `buffer` - the value to convert to a CQL literal. This value must be serialized with `version` of the native protocol.
  `version` - the native protocol version in which `buffer` is encoded.

#### equals

    public final boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public final int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`